Getting this error on 2.2.1 release


  • Banned

    Snort wont start.

    No matter what. Tried reinstall but that was not a success.


  • Moderator

    I haven't upgraded yet to 2.2.1, but on my 2.2,

    ls -lah /usr/lib/libcrypto.so*

    lrwxr-xr-x  1 root  wheel    19B Jan 22 16:07 /usr/lib/libcrypto.so -> /lib/libcrypto.so.7

    Maybe you need to create a new Symlink for  /usr/lib/libcrypto.so  -> /lib/libcrypto.so.6, until there is a proper fix?


  • Moderator

    I upgraded a Test VM from 2.2 to 2.2.1 and I didn't get any errors on Starting Snort?



  • I will test this as well on 2.2.1.  I also just submitted a Pull Request to bump Snort to 2.9.7.2.

    Bill



  • No issues with Snort here on 2.2.1.



  • My test upgrading a 2.2 virtual machine to 2.2.1 also went OK.  Snort started normally.

    @Supermule – do you have any other packages installed perhaps that might have altered some libraries?  PBIs are supposed to be totally separated from each other, but anything can still happen.  You might also try reinstalling one more time.  Perhaps PBIs are being rebuilt with the new 2.2.1 release and you might have been unlucky enough to grab one of the older ones.  Just a wild guess, though.

    Bill


  • Moderator

    Bill, is "libcrypto.so" tied to any specific Pre-processor or setting in Snort?

    IE: Does a certain setting/function need to be enabled for that .so to load?
      (ie - Sensitive Data pre-proc)?



  • @BBcan177:

    Bill, is "libcrypto.so" tied to any specific Pre-processor or setting in Snort?

    IE: Does a certain setting/function need to be enabled for that .so to load?
      (ie - Sensitive Data pre-proc)?

    I don't believe so.  I do see some other posts relative to other packages having some shared library version issues.  So this will all likely get sorted out as the pfSense team rebuilds PBIs for the new release.

    Bill



  • Yes i filed a bug report to fix the softlinks for some packages, including snort  ;)
    Nice to see the team fixed it, going to upgrade this evening.


  • Banned

    After a couple of reboots, Snort started with no errors.

    Looking forward to 2.2.2 :D


Log in to reply